XmVaCreateSpinBox(library call)

NAME
XmVaCreateSpinBox, XmVaCreateManagedSpinBox — A SpinBox widget convenience creation functions.

SYNOPSIS

#include <Xm/SpinB.h>

Widget XmVaCreateSpinBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedSpinBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateSpinBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateSpinBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of SpinBox and its associated resources, see XmSpinBox(3).

RETURN

Returns the SpinBox widget ID.

RELATED

XmSpinBox(3), XmCreateSpinBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).